/*
 *  Copyright 2008 by Spectrum Digital Incorporated.
 *  All rights reserved. Property of Spectrum Digital Incorporated.
 */

#include "evmomapl137.h"

#define AIC3106_I2C_ADDR          0x18    // I2C address

/* ------------------------------------------------------------------------ *
 *                                                                          *
 *  _AIC3106_rset(  regnum, regval )                                        *
 *                                                                          *
 *      Set codec register regnum to value regval                           *
 *                                                                          *
 * ------------------------------------------------------------------------ */
Int16 EVMOMAPL137_AIC3106_rset( Uint16 regnum, Uint16 regval )
{
    Uint8 cmd[2];
    cmd[0] = regnum & 0x007F;       // 7-bit Device Address
    cmd[1] = regval;                // 8-bit Register Data

    return EVMOMAPL137_I2C_write( AIC3106_I2C_ADDR, cmd, 2 );
}
